package zendesk.messaging.android
import zendesk.android.messaging.MessagingDelegate as ZendeskMessagingDelegate

/**
 * A delegate that can be implemented to customize certain [Messaging] behaviours.
 *
 * Every method has a default implementation for convenience and you should override the methods corresponding to the
 * behaviour you want to customize.
 */
@Deprecated(message = "Please use Zendesk SDK")
public open class MessagingDelegate : ZendeskMessagingDelegate() {

    /**
     * If [Messaging] should handle link clicks automatically. This method returns true by default.
     *
     * This function is invoked when a link in a message is clicked by the user. It will be called with the [url] that
     * was clicked and if it returns true then [Messaging] will handle the click automatically.
     *
     * If you wish to handle the click yourself you should return false, in which case [Messaging] won't do anything.
     *
     * @param url the [String] representation of the URI that was clicked by the user
     * @param urlSource where the [url] was displayed to the user, one of [UrlSource]
     * @return true if [Messaging] should handle the click automatically, false if you wish to handle the click yourself
     */
    public open fun shouldHandleUrl(url: String, urlSource: UrlSource): Boolean = true
}
