package zendesk.messaging.android.push

/**
 * Describes whether a push notification payload belongs to Messaging and the SDK is in a state
 * in which the notification should be displayed.
 */
public enum class PushResponsibility {

    /**
     * This payload is from Messaging and the SDK is able to display it.
     */
    MESSAGING_SHOULD_DISPLAY,

    /**
     * This payload is from Messaging but the SDK will not display it because
     * the conversation screen is currently visible to the user.
     */
    MESSAGING_SHOULD_NOT_DISPLAY,

    /**
     * This payload is not from Messaging and it cannot be handled by the SDK.
     */
    NOT_FROM_MESSAGING,

    ;
}
